## kmailtransport 23.08.0

=== debian/changelog ===
kmailtransport (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:56:16 +0100

kmailtransport (23.07.90-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream (beta) release (23.07.80)
  * Refresh make_libgapi_optional.patch
  * New upstream (RC) release (23.07.90)

  [ José Manuel Santamaría Lema ]
  * Adjust packaging for kmailtransportakonadi removal:
    - remove kde-config-mailtransport binary package
    - remove libkpim5mailtransportakonadi5 binary package
    - adjust installed files
    - keep kmailtransport-akonadi for now

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:35:59 +0100

kmailtransport (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:49:48 +0100

kmailtransport (23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Refreshed patch make_libgapi_optional.patch
  * Rename library packages:
    - libkf5mailtransport5abi2 -> libkpim5mailtransport5
    - libkf5mailtransportakonadi5 -> libkpim5mailtransportakonadi5
  * Update installed files
  * Drop enable_debian_abi_manager.diff
  * Rename data package: libkf5mailtransport-data ->
    libkpim5mailtransport-data
  * Sync debian/rules with debian, provide virtual ABI package
  * Inject dependency on kmailtransport-akonadi on debian/rules
  * Move mailtransport_smtpplugin.so to kmailtransport-akonadi
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2023 12:59:53 +0100

kmailtransport (22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:40:07 +0000

kmailtransport (22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:19:58 -0600

kmailtransport (22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Jan 2023 17:26:23 +0000

kmailtransport (22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:11:31 +0000

kmailtransport (22.11.90-0ubuntu2) lunar; urgency=medium

  * Fix install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 26 Nov 2022 07:53:20 +0000

kmailtransport (22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:07:49 +0000

kmailtransport (22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Nov 2022 10:39:49 +0000

kmailtransport (22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:11:03 +0000
