=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:23.08.1~),
-               libkf5akonadimime-dev (>= 4:23.08.1~),
+               libkf5akonadi-dev (>= 4:23.08.4~),
+               libkf5akonadimime-dev (>= 4:23.08.4~),
                libkf5configwidgets-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5mime-dev (>= 23.08.1~),
+               libkf5mime-dev (>= 23.08.4~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkpimgapi-dev (>= 23.08.1~) [amd64 arm64 armhf i386],
-               libkpimsmtp-dev (>= 23.08.1~),
+               libkpimgapi-dev (>= 23.08.4~) [amd64 arm64 armhf i386],
+               libkpimsmtp-dev (>= 23.08.4~),
                libsasl2-dev,
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
@@ -72,8 +72,8 @@
 Multi-Arch: same
 Section: libdevel
 Depends: kmailtransport-akonadi (= ${binary:Version}),
-         libkf5akonadimime-dev (>= 4:23.08.1~),
-         libkf5mime-dev (>= 23.08.1~),
+         libkf5akonadimime-dev (>= 4:23.08.4~),
+         libkf5mime-dev (>= 23.08.4~),
          libkf5wallet-dev (>= 5.31.0~),
          libkpim5mailtransport5 (= ${binary:Version}),
          libsasl2-dev,
