=== src/CMakeLists.txt ===

add_subdirectory(kmailtransport)
