## kmailtransport 24.08.2

=== debian/changelog ===
kmailtransport (24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental, remaining changes:
    - Kubuntuify.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 31 Oct 2024 11:47:21 -0500

kmailtransport (24.08.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.
  * Do not recommend kde-config-mailtransport any more as the package
    has been removed.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Oct 2024 15:03:11 +0200

kmailtransport (24.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Do not rely on dpkg_late_eval any more to set the ABI-version for
    the virtual package.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Wed, 28 Aug 2024 23:58:25 +0200
