=== debian/control ===
--- 
+++ 
@@ -1,28 +1,27 @@
 Source: kmailtransport
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libkf6configwidgets-dev (>= 6.3.0~),
-               libkf6i18n-dev (>= 6.3.0~),
-               libkf6kio-dev (>= 6.3.0~),
-               libkgapi-dev (>= 24.08.2~),
-               libksmtp-dev (>= 24.08.2~),
+               libkf6configwidgets-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
+               libkf6kio-dev (>= 6.6.0~),
+               libkgapi-dev (>= 24.12.0~),
+               libksmtp-dev (>= 24.12.0~),
                pkgconf,
-               qt6-base-dev (>= 6.6.0+dfsg~),
+               qt6-base-dev (>= 6.7.0~),
                qtkeychain-qt6-dev (>= 0.14.2~),
                xauth,
                xvfb,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/kmailtransport
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmailtransport
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmailtransport
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmailtransport
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmailtransport.git
 Rules-Requires-Root: no
 
 Package: kmailtransport-plugins
@@ -62,7 +61,7 @@
 Multi-Arch: same
 Depends: libkf6config-dev (>= 6.3.0~),
          libkpim6mailtransport6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0+dfsg~),
+         qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},
 Description: mail transport service library - development files
  Mailtransport is a library that provides the following functionality:
