=== debian/changelog ===
kmailtransport (24.12.3-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Remove the Breaks for libkf5mailtransport-data to allow mbox-
    importer to be upgraded (Closes: #1109519).

 -- Patrick Franz <deltaone@debian.org>  Thu, 31 Jul 2025 17:08:12 +0200

kmailtransport (24.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Mar 2025 18:49:09 +0100
