=== debian/control ===
--- 
+++ 
@@ -11,14 +11,14 @@
                libkf6configwidgets-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkgapi-dev (>= 24.12.2~),
-               libksmtp-dev (>= 24.12.2~),
+               libkgapi-dev (>= 24.12.3~),
+               libksmtp-dev (>= 24.12.3~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qtkeychain-qt6-dev (>= 0.14.2~),
                xauth,
                xvfb,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/pim/kmailtransport
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmailtransport
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmailtransport.git
@@ -41,7 +41,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
-Breaks: libkf5mailtransport-data, libkf5mailtransport5 (<< 20.04.1-2~),
+Breaks: libkf5mailtransport5 (<< 20.04.1-2~),
 Replaces: libkf5mailtransport-data, libkf5mailtransport5 (<< 20.04.1-2~),
 Description: mail transport service library - data files
  Mailtransport is a library that provides the following functionality:
