## kmailtransport 25.04.3

=== debian/changelog ===
kmailtransport (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:47:24 +0100

kmailtransport (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:50:26 +0100

kmailtransport (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:10:07 +0100

kmailtransport (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:53:23 +0100

kmailtransport (24.12.3-0ubuntu2) plucky; urgency=medium

  * d/c: Add Breaks/Replaces for libkmailtransport-data against
    libkpim5mailtransport-data. Required for smooth upgrade with Ubuntu
    package naming history. (LP: #2105435)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Apr 2025 02:58:17 +0100

kmailtransport (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 14:15:30 -0500
