=== debian/control ===
--- 
+++ 
@@ -1,27 +1,28 @@
 Source: kmailtransport
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                libkf6configwidgets-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkgapi-dev (>= 24.12.3~),
-               libksmtp-dev (>= 24.12.3~),
+               libkgapi-dev (>= 25.04.3~),
+               libksmtp-dev (>= 25.04.3~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qtkeychain-qt6-dev (>= 0.14.2~),
                xauth,
                xvfb,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/kmailtransport
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmailtransport
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmailtransport.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmailtransport
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmailtransport
 Rules-Requires-Root: no
 
 Package: kmailtransport-plugins
@@ -41,8 +42,12 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
-Breaks: libkf5mailtransport5 (<< 20.04.1-2~),
-Replaces: libkf5mailtransport-data, libkf5mailtransport5 (<< 20.04.1-2~),
+Breaks: libkpim5mailtransport-data,
+        libkf5mailtransport-data,
+        libkf5mailtransport5 (<< 20.04.1-2~),
+Replaces: libkpim5mailtransport-data,
+          libkf5mailtransport-data,
+          libkf5mailtransport5 (<< 20.04.1-2~),
 Description: mail transport service library - data files
  Mailtransport is a library that provides the following functionality:
  .
